Subject: Re: [PATCH] RFC: Introduce '.gitorderfile'

From: Junio C Hamano <[email-masked]>
Date: Wed, 12 Jul 2017 13:44:46 -0700

Stefan Beller <[email-masked]> writes:

>   I want to force myself to think about the design before pointing out
>   memory leaks and coding style, so the least I would wish for is:
>     *.h
>     *.c
>   but as we have more to look at, I would want to have the most abstract
>   thing to come first. And most abstract from the actual code is the
>   user interaction, the documentation.

This is exactly why I invented the orderfile in the first place.
But such a "policy" is not something a project would want to enforce
its users all the time; it is left to personal preference of the
participants.

Just set diff.orderFile to suit your taste without bothering other
people, I would say.